// SuperRadio.cpp : Implementation of CSuperRadio
//(c)Dharma Shukla(dharmashukla@hotmail.com)
#include "stdafx.h"
#include "RadioButtonProj.h"
#include "SuperRadio.h"

/////////////////////////////////////////////////////////////////////////////
// CSuperRadio
/*---------------------------------------------------------------------------------------------------------*/

STDMETHODIMP CSuperRadio::get_Value(OLE_OPTEXCLUSIVE *pVal)
{
	if(!pVal) return E_POINTER;

	*pVal = m_bValue;

	return S_OK;
}
/*---------------------------------------------------------------------------------------------------------*/

STDMETHODIMP CSuperRadio::put_Value(OLE_OPTEXCLUSIVE newVal)
{
	m_bValue = newVal;
	m_bRequiresSave = TRUE;
	FireOnChanged(0); 
	
	if(m_ctlButton.m_hWnd)
	{
		m_ctlButton.SendMessage(BM_SETCHECK ,(WPARAM)m_bValue,0);
	}

	FireViewChange();
	SetDirty(TRUE);
		
	if(m_bValue)
	{
		Fire_Click();
	}

	return S_OK;
}
/*---------------------------------------------------------------------------------------------------------*/
